Page MenuHomePhabricator

[NFC] Rename the DivergenceAnalysis to LegacyDivergenceAnalysis
ClosedPublic

Authored by simoll on Aug 8 2018, 3:46 AM.

Details

Summary

This is patch 1 of the new DivergenceAnalysis (https://reviews.llvm.org/D50433).

Description

The purpose of this patch is to free up the name DivergenceAnalysis for the new generic
implementation. The generic implementation class will be shared by specialized
divergence analysis classes.

Diff Detail

Repository
rL LLVM

Event Timeline

simoll created this revision.Aug 8 2018, 3:46 AM
nhaehnle accepted this revision.Aug 8 2018, 5:12 AM

LGTM

This revision is now accepted and ready to land.Aug 8 2018, 5:12 AM
simoll added a comment.Aug 8 2018, 5:30 AM

I don't have commit access. Can you commit on my behalf?

simoll updated this revision to Diff 159726.Aug 8 2018, 8:14 AM

Renamed the include guard macros in KernelDivergenceAnalysis.h to reflect the name change from DivergenceAnalysis to KernelDivergenceAnalysis.
(LLVM_ANALYSIS_DIVERGENCE_ANALYSIS_H -> LLVM_ANALYSIS_KERNEL_DIVERGENCE_ANALYSIS_H)

simoll planned changes to this revision.Aug 9 2018, 6:03 AM

This will be updated once all issues relating to the name change have been settled in the reference revision (https://reviews.llvm.org/D50433).

simoll updated this revision to Diff 160000.Aug 9 2018, 2:09 PM
simoll retitled this revision from [NFC] Rename the DivergenceAnalysis to KernelDivergenceAnalysis to [NFC] Rename the DivergenceAnalysis to LegacyDivergenceAnalysis.

changed name KernelDivergenceAnalysis -> LegacyDivergenceAnalysis in accordance with reference revision.

This revision is now accepted and ready to land.Aug 9 2018, 2:09 PM

Ping. How can i help getting this committed?

Hi Simon, can you please confirm that this is still the latest version of this change? There were some edits to D50433 since the last comment here...

simoll updated this revision to Diff 162831.EditedAug 28 2018, 4:57 AM

NFC (updated diff against git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@340809 91177308-0d34-0410-b5e6-96231b3b80d8).

This patch is up-to-date.

diff D50434.160000.patch D50434.162831.patch 
669c669
< @@ -324,7 +324,7 @@
---
> @@ -339,7 +339,7 @@
682c682
< @@ -8493,7 +8493,7 @@
---
> @@ -9126,7 +9126,7 @@
691c691
< @@ -8526,7 +8526,7 @@
---
> @@ -9159,7 +9159,7 @@
740c740
< @@ -386,7 +386,7 @@
---
> @@ -387,7 +387,7 @@
836c836
< @@ -257,7 +257,7 @@
---
> @@ -253,7 +253,7 @@
1123c1123
< @@ -2648,7 +2648,7 @@
---
> @@ -2655,7 +2655,7 @@
This revision was automatically updated to reflect the committed changes.